Annonce

[15 février 2017] Publication de Wanewsletter 3.0.1

#1 2014-07-04 14:22:37

Photos
Membre
Lieu : Montpellier
Inscription : 2014-07-04
Messages : 2
Site Web

Erreur lors de l'installation

Bonjour à tous,
Voila, les deux erreurs lors de mon installation wanewsletter-2.3.3
hébergeur : E-C.com
Sous Linux
Php 4.1.8

1)
Strict Standards: Non-static method Mailer::validate_email() should not be called statically in /home/photosco/public_html/photosco111/setup/install.php on line 178


2) Une erreur s'est produite durant l'installation.

L'erreur est : Table 'wa_abo_liste' already exists
La requête est : CREATE TABLE wa_abo_liste ( abo_id INTEGER NOT NULL DEFAULT 0, liste_id SMALLINT NOT NULL DEFAULT 0, format TINYINT(1) NOT NULL DEFAULT 0, send TINYINT(1) NOT NULL DEFAULT 0, register_key CHAR(20), register_date INTEGER NOT NULL DEFAULT 0, confirmed TINYINT(1) NOT NULL DEFAULT 0, CONSTRAINT wa_abo_liste_pk PRIMARY KEY (abo_id, liste_id), CONSTRAINT register_key_idx UNIQUE (register_key) ) ENGINE=MyISAM

j' ai commencé par la deuxième, j' ai bien vu le sujet de remplacer dans  setup\schemas\mysql_tables.sql (11 changements) TYPE=MyISAM par ENGINE=MyISAM , mais malgrés cela, rien ne se fait.

Pour en revenir à ma première erreur, j' ai ca sur la ligne :             if( !Mailer::validate_email($admin_email) )
Je précise que le mail que je rentre est bien valide.

Je n'ai pas voulu vous embêter avant, mais la...cela fait plus de 4 heures que je suis dessus, je n'ai plus de cheveux.... Help me !!  s'il vous plait!

je suis à court d'idées..

Quoi qu'il en soit, merci pour ce script que j'avais testé il y a très longtemps.

Bon week end

Dernière modification par Photos (2014-07-05 10:41:02)

Hors ligne

#2 2014-07-05 10:45:27

Photos
Membre
Lieu : Montpellier
Inscription : 2014-07-04
Messages : 2
Site Web

Re : Erreur lors de l'installation

rebonjour,
Alors je suis désolé, je viens de compléter la version Php 4.1.8, que je ne connaissais pas, le systême; Linux, l' hébergeur, en revanche pour ce qui est de smtp , je ne peux pas répondre.

Hors ligne

#3 2014-08-02 12:45:01

Bobe
Administrateur
Lieu : La Rochelle
Inscription : 2002-05-27
Messages : 5 274

Re : Erreur lors de l'installation

Bonjour,

Il vous faut PHP 4.3.0 ou supérieur.

L'erreur "Strict Standards: Non-static method Mailer::validate_email() should not be called statically in /home/photosco/public_html/photosco111/setup/install.php on line 178" est juste une notification de PHP concernant une méthode de programmation devenue incorrecte mais qui n'a pas d'impact sur le fonctionnement du script. Cette erreur ne devrait pas s'afficher.

Vérifiez dans le fichier includes/constantes.php que la constante DEBUG_MODE est bien positionnée à 1.

Pour l'autre problème, utilisez votre gestionnaire de base de données (phpmyadmin le plus souvent) pour supprimer la table incriminée, puis relancez l'installation.


PHP et MySQL, un duo gagnant !

Hors ligne

Pied de page des forums